import { Build, FormHandlerParams, HandleSubmitErrorFn, HandleSubmitSuccessFn } from './types/formHandler';
import { RegisterOptions } from './types';
export declare const initialState: () => {
    touched: {};
    dirty: {};
    errors: {};
    isDirty: boolean;
    isTouched: boolean;
    isValid: boolean;
};
export declare const useFormHandler: <TForm extends Record<string, any> = Record<string, any>, TInitial extends Partial<TForm> = Partial<TForm>>({ initialValues, interceptor, validate, validationMode, injectionKey, }?: FormHandlerParams<TForm, TInitial>) => {
    build: Build<TForm>;
    clearError: (name?: keyof TForm | undefined) => void;
    clearField: (name: keyof TForm) => Promise<void>;
    formState: {
        readonly isDirty: boolean;
        readonly isTouched: boolean;
        readonly isValid: boolean;
        readonly dirty: import("@vue/reactivity").DeepReadonly<import("@vue/reactivity").UnwrapRef<Record<keyof TForm, boolean>>>;
        readonly touched: import("@vue/reactivity").DeepReadonly<import("@vue/reactivity").UnwrapRef<Record<keyof TForm, boolean>>>;
        readonly errors: import("@vue/reactivity").DeepReadonly<import("@vue/reactivity").UnwrapRef<Record<keyof TForm, string | undefined>>>;
    };
    handleSubmit: (successFn: HandleSubmitSuccessFn<TForm>, errorFn?: HandleSubmitErrorFn<TForm> | undefined) => Promise<void>;
    modifiedValues: Readonly<import("@vue/reactivity").Ref<import("@vue/reactivity").DeepReadonly<Partial<TForm>>>>;
    register: (name: keyof TForm, options?: RegisterOptions) => {
        pattern?: string | undefined;
        required?: boolean | undefined;
        min?: number | undefined;
        max?: number | undefined;
        minLength?: number | undefined;
        maxLength?: number | undefined;
        onChange?: (() => Promise<void>) | undefined;
        isDirty?: boolean | undefined;
        isTouched?: boolean | undefined;
        disabled: boolean;
        name: keyof TForm;
        modelValue: Partial<TForm>[keyof TForm];
        'onUpdate:modelValue': (value: any) => Promise<void>;
        ref: (fieldRef: any) => void;
        onBlur: () => void;
        onClear: () => Promise<void>;
    } | {
        pattern?: string | undefined;
        required?: boolean | undefined;
        min?: number | undefined;
        max?: number | undefined;
        minLength?: number | undefined;
        maxLength?: number | undefined;
        onChange?: (() => Promise<void>) | undefined;
        isDirty?: boolean | undefined;
        isTouched?: boolean | undefined;
        disabled: undefined;
        name: keyof TForm;
        modelValue: Partial<TForm>[keyof TForm];
        'onUpdate:modelValue': (value: any) => Promise<void>;
        ref: (fieldRef: any) => void;
        onBlur: () => void;
        onClear: () => Promise<void>;
    };
    resetField: (name: keyof TForm) => void;
    resetForm: () => void;
    setError: (name: keyof TForm, error: string) => void;
    setValue: (name: keyof TForm, value?: any) => Promise<void>;
    triggerValidation: (name?: keyof TForm | undefined) => Promise<void>;
    unregister: (name: keyof TForm) => void;
    values: import("@vue/reactivity").DeepReadonly<import("@vue/reactivity").UnwrapNestedRefs<Partial<TForm>>>;
};
//# sourceMappingURL=useFormHandler.d.ts.map