/**
 * @description
 * Retries assertion until it passes or timeout is reached
 * @param assertion - jest assertion
 * @param interval - interval between retries
 * @param timeout - timeout after which assertion fails
 * @returns Promise that resolves when assertion passes
 * @
 * await retry(() => expect(values).toEqual(yourChangingValues));
 */
declare const _default: (assertion: () => void, { interval, timeout }?: {
    interval?: number | undefined;
    timeout?: number | undefined;
}) => Promise<unknown>;
export default _default;
//# sourceMappingURL=retry.d.ts.map